# Create chain execution details for a workset and job

Creates execution details for a specific workset and job using their IDs.

Endpoint: POST /api/v2/cm/branches/{branchId}/jobs
Version: v2.0
Security: OAuth2.0

## Path parameters:

  - `branchId` (string, required)
    The ID of the branch, for example prod.

## Request fields (application/json-patch+json):

  - `name` (string, required)

  - `worksetId` (string, required)

  - `jobTypeId` (string, required)

  - `description` (string,null)

  - `options` (object)

  - `options.variables` (object,null)

## Response 201 fields (application/json):

  - `id` (string,null, required)

  - `name` (string,null, required)

  - `options` (object, required)

  - `system` (object, required)

  - `system.createdAt` (string, required)

  - `system.createdBy` (string,null, required)

  - `system.hash` (string,null, required)

  - `system.type` (string,null, required)

  - `system.status` (object)

  - `system.status.state` (string)
    Enum: "Created", "Pending", "InProgress", "Completed", "Failed", "Stopped", "Waiting"

  - `system.status.description` (string,null)

  - `system.updatedAt` (string,null)

  - `system.updatedBy` (string,null)

  - `worksetId` (string,null, required)

  - `jobTypeId` (string,null, required)

  - `description` (string,null)

## Response 400 fields (application/json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)


## Response 401 fields

## Response 403 fields

## Response 500 fields
